/**
 * DevExtreme (ui/scheduler/compact_strategies/compactAppointmentsStrategyBase.js)
 * Version: 19.1.0 (build 19085-0305)
 * Build date: Tue Mar 26 2019
 *
 * Copyright (c) 2012 - 2019 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.CompactAppointmentsStrategyBase = void 0;
var _createClass = function() {
    function defineProperties(target, props) {
        for (var i = 0; i < props.length; i++) {
            var descriptor = props[i];
            descriptor.enumerable = descriptor.enumerable || false;
            descriptor.configurable = true;
            if ("value" in descriptor) {
                descriptor.writable = true
            }
            Object.defineProperty(target, descriptor.key, descriptor)
        }
    }
    return function(Constructor, protoProps, staticProps) {
        if (protoProps) {
            defineProperties(Constructor.prototype, protoProps)
        }
        if (staticProps) {
            defineProperties(Constructor, staticProps)
        }
        return Constructor
    }
}();
var _translator = require("../../../animation/translator");
var _translator2 = _interopRequireDefault(_translator);

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        "default": obj
    }
}

function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function")
    }
}
var CompactAppointmentsStrategyBase = exports.CompactAppointmentsStrategyBase = function() {
    function CompactAppointmentsStrategyBase() {
        _classCallCheck(this, CompactAppointmentsStrategyBase)
    }
    _createClass(CompactAppointmentsStrategyBase, [{
        key: "render",
        value: function(options, instance) {
            this.instance = instance;
            return this.renderCore(options)
        }
    }, {
        key: "renderCore",
        value: function(options) {}
    }, {
        key: "repaintExisting",
        value: function() {}
    }, {
        key: "setPosition",
        value: function(element, position) {
            _translator2.default.move(element, {
                top: position.top,
                left: position.left
            })
        }
    }]);
    return CompactAppointmentsStrategyBase
}();
